package wa.server.plugin;

public interface WAService {

	public String getName();

	/**
	 * @return a service status object or null if it is not possible to check status
	 */
	public WAServiceStatus getStatus();

    /**
     * @return a installer object that will install the service or null if the installer is not available
     */
    public WAInstaller getInstaller();
}
